package com.diagbot.repository;

import com.diagbot.entity.node.YiBaoDiseaseName;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.neo4j.repository.Neo4jRepository;

import java.util.List;


public interface YiBaoDiseaseRepository extends Neo4jRepository<YiBaoDiseaseName, Long> {

    List<YiBaoDiseaseName> findByNameIs(String name);

    List<YiBaoDiseaseName> findByNameContaining(String name);

    List<YiBaoDiseaseName> findByNameIn(List<String> names);

    List<YiBaoDiseaseName> findByNameContainingOrPycodeContaining(String name, String pycode);

    Page<YiBaoDiseaseName> findByNameContainingIgnoreCaseOrPycodeContainingIgnoreCase(String name, String pycode, Pageable pageable);

    List<YiBaoDiseaseName> findTop100ByNameContainingOrPycodeContaining(String name, String pycode);
}

